#include "BasicMechanism.h"
#include "Engine.h"
using namespace std;

BasicMechanism::BasicMechanism(string nm, int lSize) {
    name = nm;
    lineSize = lSize;
    accessory = "Variklio modelis";
}

/*string BasicMechanism::getName() {
    return name;
}*/

int BasicMechanism::getLineSize() {
    return lineSize;
}

int BasicMechanism::getEnginesCount() {
    return engines_line.size();
}

void BasicMechanism::doJob(Engine* engine) {
    engine->addAccessory(accessory);
    engines_line.push_back(engine); 
}

Engine* BasicMechanism::getEngine() {
    vector<Engine*>::iterator eng = engines_line.end();
    eng--;
    return (*eng);
}

void BasicMechanism::clearPointer() {
    vector<Engine*>::iterator eng = engines_line.end();
    eng--;
    engines_line.erase(eng);
}

void BasicMechanism::closeFile() {} 

