#ifndef __Conveyor_h
#define __Conveyor_h

#include <string>
#include <vector>
#include "BasicMechanism.h"

class Conveyor {
    std::string name;
    std::vector<BasicMechanism*> mechanism_vector;
  public:
    Conveyor(std::string name);
    //std::string getName();
    int getMechanismVectorSize();
    void addMechanism(BasicMechanism* mech);
    BasicMechanism* getBasicMechanism(int index);  
};
#endif
